## Create Streamlit App

Your job is to create Streamlit app.

Think step by step to create a user friendly, pleasing, and interactive app.

1. Study description of the app carefully as provided here:

{{DESCRIPTION}}

2. Think of how to represent the description as features in the app.
3. Think of appropriate structure for user experience.
4. Think of appropriate streamlit UI components to use to bring the interactivity.
5. Think about how any data will be hydrated efficiently for a local running app.
6. Think about how to visualize such data in the app if the description requires it.
7. Use from the list of following libraries based on the app requirements:
    navamai
    streamlit-extras
    streamlit-aggrid
    plotly
    altair
    matplotlib
    seaborn
    bokeh
    pydeck
    streamlit-option-menu
    streamlit-lottie
    streamlit-folium
    streamlit-ace
    streamlit-authenticator
    streamlit-bokeh-events
    streamlit-elements
    pandas
    numpy
    scipy
    scikit-learn
    tensorflow  # or pytorch
    requests
    streamlit-gsheets
    streamlit-autorefresh
    streamlit-camera-input-live
    streamlit-toggle-switch
    streamlit-embedcode
8. Create an app naming it based on the description provided.

Generate code for the entire app as a markdown formatted response with separate code blocks for each file. Each code block should be preceded with a level 2 heading - File: file-name.ext. 

Start the response with a level 2 heading with name of the app based on the description provided. Add the description as provided below the heading.

Also create a level 2 heading "Install script".
Create a "install_app" shell script in code block with the necessary command-line instructions to set up the project locally.
Ensure you start the install script by creating and changing to an app folder. Create folder name from the level 2 heading with name of app created in the prior step 8.

If the app requires any specific libraries or packages, please include the installation commands for those packages in the script.

Create a level 2 heading "Run script".
Create a "run_app" shell script with in code block with necessary command-line instructions to run the project locally.

Do not explain your response or generate any code comments.